#
# Copyright (c) 2019, Hewlett Packard Enterprise Development LP
#

from __future__ import print_function
import os


def autogenExecute(autogenCmd, outputLinesFileDict, autogenDict, entryDict):
    """
    Handle any pattern replacements requested by the user.
    """
    if not autogenDict.has_key('execute'):
        return

    for execDict in autogenDict['execute']:
        roles = execDict['roles']
        execScript = execDict['exec']
        modScript = execDict['script']

        # We support arguments to be passed to the execute script. That means,
        # only the first string before a space is the actual file.
        execTokens = execScript.split()

        scriptPath = execTokens[0] if os.path.isabs(
            execTokens[0]) else os.path.join("${CONFIG_BASE_DIR}", execTokens[0])

        if len(execTokens) > 1:
            execCommand = ' '.join([scriptPath] + execTokens[1:])
        else:
            execCommand = scriptPath

        with autogenCmd.getOutputFileContext(outputLinesFileDict, modScript) as outputLines:
            with autogenCmd.getRoleIfContext(roles, outputLines) as ric:
                outputLines.append("%sbash %s || exit 2\n" %
                                   (ric.spaces, execCommand))

            outputLines.append("\n")

    return
