#
# Copyright (c) 2019, Hewlett Packard Enterprise Development LP
#

from __future__ import print_function
import os


def autogenSourceFile(autogenCmd, outputLinesFileDict, autogenDict):
    """
    Add an line that sources the give file.
    """
    if not autogenDict.has_key('sourcefiles'):
        return

    for sourceDict in autogenDict['sourcefiles']:
        roles = sourceDict['roles']
        scrFile = sourceDict['source']
        modScript = sourceDict['script']

        scriptPath = scrFile if os.path.isabs(
            scrFile) else os.path.join("${CONFIG_BASE_DIR}", scrFile)

        with autogenCmd.getOutputFileContext(outputLinesFileDict, modScript) as outputLines:
            with autogenCmd.getRoleIfContext(roles, outputLines) as ric:
                outputLines.append("%ssource %s || exit 1\n" %
                                   (ric.spaces, scriptPath))

            outputLines.append("\n")

    return
