# Copyright (c) 2019, Hewlett Packard Enterprise Development LP
#

from __future__ import print_function
from .. import SubCommand
from ..inmem_store import ENTRY_DICT


class AttachCategory(SubCommand):
    """

    """

    def __init__(self, config, inmemStore, cmdObj):
        self.name = 'category'
        SubCommand.__init__(self, config, inmemStore, cmdObj, self.name)

    def getSubcmdDescripton(self):
        return 'Attach applications based on categories.'

    def populateParserArgs(self, subparser):
        subparser.add_argument('-c', '--categories', metavar='CATEGORIES',
                               type=str, dest='categories', action='store',
                               nargs='+', required=True,
                               help='A space separated list of categories this '
                                    'entry will be available under during cluster '
                                    'creation. Any existing categories may be '
                                    'used or new ones may also be defined here.')

    def run(self, pargs):
        return self.command.updateAttachables(self.name, 'category', pargs.categories)

    def complete(self, text, argsList):
        return []


__all__ = ['AttachCategory']
