# Copyright (c) 2019, Hewlett Packard Enterprise Development LP
#

from __future__ import print_function
from .. import SubCommand
from ..inmem_store import ENTRY_DICT


class AttachDistro(SubCommand):
    """

    """

    def __init__(self, config, inmemStore, cmdObj):
        self.name = 'distro'
        SubCommand.__init__(self, config, inmemStore, cmdObj, self.name)

    def getSubcmdDescripton(self):
        return 'Attach applications based on distro IDs.'

    def populateParserArgs(self, subparser):
        subparser.add_argument('-d', '--distroid', metavar='DISTRO_ID', type=str,
                               required=True, action='store', nargs='+',
                               help='A space separated list of unique distro IDs '
                               'this application can attach to.')

    def run(self, pargs):
        return self.command.updateAttachables(self.name, 'distro_id', pargs.distroid)

    def complete(self, text, argsList):
        return []


__all__ = ['AttachDistro']
