#!/usr/bin/env python
#
# Copyright (c) 2019, Hewlett Packard Enterprise Development LP
#

from .version import __version__ as VERSION

AWB_VERSION = VERSION

DEFAULT_INT_NEGONE = -1

DEFAULT_STR_ONE = '1'
DEFAULT_STR_ALL = 'all'
DEFAULT_STR_EMPTY = "''"
DEFAULT_STR_VERSION = '1.0'
DEFAULT_STR_DEFAULT = 'default'

DEFAULT_CONFIG_API_VER = '10'
DEFAULT_CATALOG_API_VER = '6'

DEFAULT_BOOL_TRUE = True
DEFAULT_BOOL_FALSE = False

DEFAULT_CATEGORY_HADOOP = 'Hadoop'
AIML_CATEGORIES = ['AIML/Notebook', 'AIML/Training', 'AIML/Deployment']

SUPPORTED_DOCKER_VERSIONS = {
    # ActualVer : RecordedVer
    '1.12': '1.12',
    '1.13': '1.12'}

DEFAULT_IMAGE_ROLES = 'all_roles'
OS_CLASS_DICT = {'centos6': ('centos', '6'),
                 'centos7': ('centos', '7'),
                 'rhel6': ('rhel',  '6'),
                 'rhel7': ('rhel',  '7'),
                 'ubuntu16': ('ubuntu', '16')}

DEFAULT_EPIC_VERSION = '4.0'
DEFAULT_EPIC_API_DICT = {
    # EPIC VER : (CATALOG_API, CONFIG_API)
    '3.1': (3, 6),
    '3.2': (3, 7),
    '3.3': (3, 7),
    '3.4': (4, 8),
    '3.5': (5, 8),
    '3.6': (5, 9),
    '3.7': (5, 9),
    '3.8': (5, 9),
    '3.9': (5, 9),
    '4.0': (6, 10)
}

# Catalog API version when the specific feature was introduced.
IMAGE_REGISTRY_SUPPORT = '3'
IMAGE_PER_ROLE_SUPPORT = '4'
DOCUMENTATION_SUPPORT = '6'
ATTACHABLES_SUPPORT = '6'

# Config API Versions when features were introduced
DELETE_CONFIG_API_SUPPORT = '9'
REATTACH_CONFIG_API_SUPPORT = '10'


# BlueData internal Environment variables
AWB_DEBUG = 'AWB_DEBUG'
AWB_INTERNAL_ORGNAME = 'AWB_INTERNAL_ORGNAME'

# User facing environment variables.
RHEL_USERNAME = 'RHEL_USERNAME'
RHEL_PASSWORD = 'RHEL_PASSWORD'

AWB_SKIP_IMAGE_REBUILD = 'AWB_SKIP_IMAGE_REBUILD'

AWB_REGISTRY_USERNAME = 'AWB_REGISTRY_USERNAME'
AWB_REGISTRY_PASSWORD = 'AWB_REGISTRY_PASSWORD'
AWB_DOCKER_BUILD_OPTS = 'AWB_DOCKER_BUILD_OPTS'
DOCKER_CONTENT_TRUST_ROOT_PASSPHRASE = 'DOCKER_CONTENT_TRUST_ROOT_PASSPHRASE'
DOCKER_CONTENT_TRUST_REPOSITORY_PASSPHRASE = 'DOCKER_CONTENT_TRUST_REPOSITORY_PASSPHRASE'

VERSION_STR = 'version'
DISTROID_STR = 'distro_id'
ENTRY_STR = 'entry'
