#!/bin/env python
#
# Copyright (c) 2019, Hewlett Packard Enterprise Development LP

from __future__ import print_function
from .. import Command

from .document_file import DocumentFile
from .document_list import DocumentList
from .document_download import DocumentDownload
from .document_init import DocumentInit

class Document(Command):
    """

    """

    def __init__(self, wb, config, inmemStore):
        Command.__init__(self, wb, config, inmemStore, 'document',
                          'Container documentation management for the catalog entry.')

        ## Initialize the subcommands.
        DocumentFile(config, inmemStore, self)
        DocumentList(config, inmemStore, self)
        DocumentDownload(config, inmemStore, self)
        DocumentInit(config, inmemStore, self)

__all__ = ['Document']
Command.register(Document)
