#
# Copyright (c) 2019 BlueData Software, Inc.
#

from __future__ import print_function
from .. import SubCommand
from ..constants import *
from ..utils.config import SECTION_WB, KEY_BASE, KEY_SDKBASE
import os, shutil

class DocumentInit(SubCommand):
    """

    """
    def __init__(self, config, inmemStore, cmdObj):
        SubCommand.__init__(self, config, inmemStore, cmdObj, 'init')

    def getSubcmdDescripton(self):
        return 'Create a template documentation markdown file.'

    def populateParserArgs(self, subparser):
        subparser.add_argument('--force', action='store_true',
                               dest='force', default=False,
                               help='Overwrite the documentation template file '
                                    'if it already exists.')
        return

    def run(self, pArgs):
        sdkbase = self.config.get(SECTION_WB, KEY_SDKBASE)
        docDir = os.path.join(sdkbase, "document", "template")
        dstDir = self.config.get(SECTION_WB, KEY_BASE)
        try:
#             # Python3
#             with os.scandir(docDir) as it:
#                 for entry in it:
#                     if entry.is_file():
#                         shutil.copy(entry.path, dstDir)
#                         copied = True
            for entry in os.listdir(docDir):
                srcPath = os.path.join(docDir, entry)
                if pArgs.force or not os.path.exists(os.path.join(dstDir, entry)):
                    shutil.copy(srcPath, dstDir)
        except Exception as e:
            print("Error copying document template file:", e)
            return False

        return True

    def complete(self, text, argsList):
        return []
